Bug 85817 - update to fcron port
Summary: update to fcron port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-07 01:10 UTC by Brad Huntting
Modified: 2005-10-04 18:59 UTC (History)
0 users

See Also:


Attachments
file.diff (13.96 KB, patch)
2005-09-07 01:10 UTC, Brad Huntting
no flags Details | Diff
file.dat (11.78 KB, text/plain; charset="us-ascii")
2005-10-02 19:06 UTC, huntting
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Huntting 2005-09-07 01:10:11 UTC
	      The fcron port has been broken for many months.  The
	      port tries to use a development release of fcron which
	      is several years old (2.1.0) and no longer available.
	      (The current developement release is 2.9.7 and changes
	      regularly).

	      I have created a new port of the 'stable release'
	      (which, fixes a recent security hole).  A tar file
	      of the new port can be found at

		      http://www.glarp.com/hidden/fcron/fcron-port.tar

	      If there are no objections, please put me down as the
	      port maintainer for sysutils/fcron.

Fix: The new port can be found at http://www.glarp.com/hidden/fcron/fcron-port.tar
	Diffs from the current port at http://www.glarp.com/hidden/fcron/fcron.diff
	as well as here:
How-To-Repeat: 	cd /usr/ports/sysutils/fcron; make
Comment 1 Brad Huntting 2005-09-08 01:21:39 UTC
Oops, the links mentioned in the bug report were broken.  They
should work now.


brad
Comment 2 Jean-Yves Lefort freebsd_committer 2005-09-08 23:43:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 3 Jean-Yves Lefort freebsd_committer 2005-09-08 23:45:16 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval.
Comment 4 Jean-Yves Lefort freebsd_committer 2005-10-01 23:35:14 UTC
The patch does not apply cleanly. Could you please submit a new patch?

-- 
Jean-Yves Lefort

jylefort@FreeBSD.org
http://lefort.be.eu.org/
Comment 5 huntting 2005-10-02 19:06:17 UTC
> The patch does not apply cleanly. Could you please submit a new patch?

Ok.  It looks like a new stable release has come out since I sent
in the original patch.  Here's diffs for the new 3.0.0 branch.  I
tested this with:

	cd /usr/ports/sysutils/fcron
	patch -E <fcron-3.0.0-patch


thanx,
brad
Comment 6 Jean-Yves Lefort freebsd_committer 2005-10-04 18:54:32 UTC
State Changed
From-To: feedback->closed

Committed with several modifications, thanks!